#!/usr/bin/perl

use lib "./lib";
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$sql = "
delete from ccp where id = $f->{id};";

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});
$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Cross Certificate Pair::DeleteResult");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,"CCP",$f->{id},"deleted");

print "
<p><a href=\"cpki_ccp_list.cgi\">
Back to cross certificate pair list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

