#!/usr/bin/perl

use lib "./lib";
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$sql = "
delete from ldap_entry where id = $f->{id};";

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});
$db->execSession([$sql]);

$title = getTitle("Ldap Entry::Delete Result");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,"Ldap Entry",$f->{id},"deleted");

print "
<p><a href=\"cpki_direntry_list.cgi\">
Back to Ldap Entry list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

