#!/usr/bin/perl

use lib "./lib";
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$sql = "
delete from ldap_repository_item where id = $f->{id};
delete from ldap_repository where id = $f->{id};";

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});
$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Ldap Repository::Delete Result");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,"Ldap Repository",$f->{id},"deleted");

print "
<p><a href=\"cpki_dirtree_list.cgi\">
Back to Ldap Repository list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

