#!/usr/bin/perl

use strict;
use lib "./lib";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $CPKI_TITLE = getTitle("FAQ");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"___EOF___";
<h2>Frequently Asked Questions Index</h2>
<ul>
<li><a href="#rawcert">What is 'raw certificate'?</a></li>
</ul>

<h4><a name="rawcert">What is 'raw certificate'?</a></h4>
<p>
'Raw certificate' is a PEM formatted certificate.
If you don't have private key, 
certificate is not able to be issued according to
<a href="cpki_cert_list.cgi" target="_blank">certificate</a>
record. 
In that case, you may input a certificate into database as
PEM formatted certificate.
This function may be used for cross certification between
test suite CA and REAL CA.
Also, you may use 'raw certificate' when
you want to issue any encoding except for
'PrintableString' or 'UTF8String' without this test suite
(i.e. OpenSSL or some commercial software).
</p>

___EOF___

&printPoweredBy;
&printFooter;

