#!/usr/bin/perl

use lib "./lib";
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$sql = "
delete from keypair where id = $f->{id};";

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});
$db->execSession([$sql]);

$title = getTitle("Key Pair::DeleteResult");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,"keypair",$f->{id},"deleted");

$backto = "Back to keypair list";
print "<p><a href=\"cpki_key_list.cgi\">$backto</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

