#!/usr/bin/perl

use strict;
use lib "./lib";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $CPKI_TITLE = getTitle("Tiny Tools");

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"___EOF___";
<h2>Tiny Tools Index</h2>
<ul>
<li><b><a href="cpki_tool_p10keyinfo.cgi">PKCS#10(CSR:Certificate Signing Request) Key Identifier Information</a></b><br>
</li>
<li><b><a href="cpki_tool_crtkeyinfo.cgi">X.509 Certificate Key Identifier Information</a></b><br>
</li>
<li><b><a href="cpki_tool_urihelper.cgi">Helper application for LDAP URI escaping</a></b><br>
</li>
</ul>
___EOF___

&printPoweredBy;
&printFooter;

