#!/usr/bin/perl

# $Id: cpki_tspprocase_editconfirm.cgi,v 1.2 2004/06/18 13:27:16 urushima Exp $

use Data::Dumper;
use lib "./lib";

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

our $CPKI_TITLE = getTitle("TSP Protocol Testcase::ConfirmUpdate");

$aPostname =
    [qw(id org_id
	testcase_code category_id level
	tsq_id tsr_id http_header exp_value
	name keyword note)];
$postdata = &string_html_trth_hash($f,$aPostname);

# Print HTML ================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

print <<"__EOFEOFEOF__";
<p><b>Do you update following TSP protocol testcase(No.$f->{id})?</b></p>

<table>
<thead><th>Item</th><th>Value</th></thead>
<tbody>
$postdata
</tbody>
</table>
<form action="cpki_tspprocase_editresult.cgi" method="POST">
__EOFEOFEOF__

printHtmlInputHiddenHashByArray($f,$aPostname);

#printDumper($f);

print <<"__EOFEOFEOF__";
<input type="submit" value="Register"> | 
<a href="cpki_tspprocase_list.cgi">Back to TSP protocol testcase list</a>
</form>
__EOFEOFEOF__

&printPoweredBy;
&printFooter;

