#!/usr/bin/perl

use lib "./lib";
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$sql = "
DELETE FROM tsq_value WHERE id = $f->{id};
DELETE FROM tsq WHERE id = $f->{id};";

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});
$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Time Stamp Request::Delete Result");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,"Time Stamp Request",$f->{id},"deleted");

print "
<p><a href=\"cpki_tsq_list.cgi\">
Back to Time Stamp Request List</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

