#!/usr/bin/perl

# $Id: cpki_tsr_editresult.cgi,v 1.2 2004/06/18 13:27:16 urushima Exp $

use lib "./lib";
use JNSA::DB;
use JNSA::DB::TSP;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

$sql = "\nDELETE FROM tsr_value WHERE id = $f->{id};\n";
if ($f->{id} eq $f->{org_id}) {
    $sql .= sqlUpdateTsr($f);
} else {
    $sql .= sqlInsertTsr($f);
}
$sql .= sqlInsertTsrValue($f);

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("TSR::UpdateResult");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'TSR',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p><a href=\"cpki_tsr_list.cgi\">Back to Time Stamp Response List</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

