#!/usr/bin/perl
#$Id :$
use strict;
use lib "./lib";
use JNSA::DB::UTIL;
use JNSA::HTML::UTIL;

our $CPKI_CONFIG;
our $CPKI_CONST;
our %ENV;
$ENV{PATH} = $ENV{PATH} . ":/usr/local/cpki/bin";

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $h = &decodeHttpRequest;
$h->{db} = getDbnameByDsn($CPKI_CONFIG->{db}->{dsn});
$h->{usr} = $CPKI_CONFIG->{db}->{usr};
$h->{pw} = $CPKI_CONFIG->{db}->{pw};
$h->{file} = "/tmp/dbtstgen.$$";

our $cmd = "dbtstgen --db=$h->{db} --tsrid=$h->{id} --out=$h->{file} --overwrite_auto";
if($h->{usr}){
	$cmd .= " --usr=$h->{usr}";
}
if($h->{pw}){
	$cmd .= " --pw=$h->{pw}";
}
our $ret = system $cmd;
if($ret != 0){
    print "Content-type: text/plain\n\n";
    print "this configration needs messageImprint datas for create TST.\n";
    print "so, no TST created.";
    exit 0;
}

our $DATA = "";
our $buffer = "";
open(FIN, "$h->{file}");
binmode FIN;
while (read(FIN, $buffer, 1024)) {
    $DATA .= $buffer;
}
close FIN;
unlink($h->{file});

our $size = length($DATA);

print "Content-type: application/x-timestamp-token\n";
print "Content-Transfer-Encoding: Binary\n";
print "Content-Length: $size\n\n";
print $DATA;
