#!/bin/sh

### When checking a signature,issuer and subject set same value. ###

## CR LF
./certgen -K ./test_data/cert/rsaprv_CRLF.crtx -a sha1 -o cert.der -p ./test_data/cert/rsapub_CRLF.pem -v ./test_data/cert/certvalue.cf -pemout tmp_cert.pem
#echo "### check cert signature(key: RSA) ###"
#openssl verify -CAfile  tmp_cert.pem tmp_cert.pem

./certgen -K ./test_data/cert/dsaprv_CRLF.crtx -a sha1 -o cert.der -p ./test_data/cert/dsapub_CRLF.pem -v ./test_data/cert/certvalue.cf -pemout tmp_cert.pem
#echo "### check cert signature(key: DSA) ###"
#openssl verify -CAfile tmp_cert.pem tmp_cert.pem



## LF
./certgen -K ./test_data/cert/rsaprv_LF.crtx -a sha1 -o cert.der -p ./test_data/cert/rsapub_LF.pem -v ./test_data/cert/certvalue.cf -pemout tmp_cert.pem
#echo "### check cert signature(key: RSA) ###"
#openssl verify -CAfile  tmp_cert.pem tmp_cert.pem

./certgen -K ./test_data/cert/dsaprv_LF.crtx -a sha1 -o cert.der -p ./test_data/cert/dsapub_LF.pem -v ./test_data/cert/certvalue.cf -pemout tmp_cert.pem
#echo "### check cert signature(key: DSA) ###"
#openssl verify -CAfile tmp_cert.pem tmp_cert.pem