#ifndef __OCSP_REQ_H__
#define __OCSP_REQ_H__

#include<stdio.h>

typedef struct Cert_ID{
  int hash_algo;
  unsigned char *nhash;
  unsigned char *khash;
  unsigned char *snum;
  int snlen;
}CertID;


/* req_hash.c */
int estimate_dn_size(CertDN *dn);
unsigned char *set_dn_hash(CertDN *dn);

/* req_der.c */
int ASN1_set_CertID(CertID *cid,unsigned char *ret,int *ret_len);
int x509_DER_exts_ocsp(CertExt *top,unsigned char *ret,int *ret_len);

#endif /* __OCSP_REQ_H__ */
