/*
 $Id: TimeStamp.h,v 1.1 2004/04/21 12:52:30 urushima Exp $
 */
#ifndef __TIMESTAMP_H_ROBOC__
#define __TIMESTAMP_H_ROBOC__

#include "r_asn1.h"

typedef CORE MessageImprint;
typedef CORE Nonce;


typedef struct{
	int seconds;
	int millis;
	int micros;
}Accuracy;

typedef struct{
	unsigned char *data;
	int length;
	int pos_messageImprint;
	int len_messageImprint;
	int pos_nonce;
	int len_nonce;
} TimeStampRequest;

typedef CORE TimeStampResponse;
typedef CORE TimeStampToken;
typedef CORE TimeStampInfo;

typedef struct{
	unsigned char *data;
	int length;
	int critical;
	ObjectID *extnID;
	OctetString *extnValue;
} Extension;
	

#endif /* __TIMESTAMP_H_ROBOC__ */

