#!/usr/bin/perl

use lib "./lib";
use JNSA::DB;
use JNSA::DB::PATH;
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});

if ($f->{id} eq $f->{org_id}) {
    $sql .= "
DELETE FROM certpath WHERE id = $f->{id};";
    $sql .= sqlPath($f);
} else {
    $sql .= sqlPath($f);
}

$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Certification Path::UpdateResult");

# Print HTML =================================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,'certification path',$f->{id},'updated');

#print "<pre>", $sql, "</pre>\n";
#printDumper($db);

print "<p><a href=\"cpki_certpath_list.cgi\">Back to certification path list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

