#!/usr/bin/perl

use lib "./lib";
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$sql = "
delete from ocsp_value where id = $f->{id};
delete from ocsp where id = $f->{id};";

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});
$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("OCSP Response::DeleteResult");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,"OCSP response",$f->{id},"deleted");

$backto = "Back to OCSP response list";
print "<p><a href=\"cpki_ocsp_list.cgi\">$backto</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

