#!/usr/bin/perl

use lib "./lib";
use Data::Dumper;

our $CPKI_CONFIG;

require "lib/CPKI/site_config.pl";
require "lib/CPKI/util.pl";

our $f = &decodeHttpRequest;

$sql = "
delete from repository_set_ldap_item where id = $f->{id};
delete from repository_set_http_item where id = $f->{id};
delete from repository_set where id = $f->{id};";

$db = new JNSA::DB({config => $CPKI_CONFIG->{db}});
$db->execSession([$sql]);

our $CPKI_TITLE = getTitle("Repository Set::Delete Result");

# Print HTML ===============================================================

print "Content-type: text/html; charset=UTF-8\n\n";

&printHeader;

&printResult($db,"Repository Set",$f->{id},"deleted");

print "
<p><a href=\"cpki_repset_list.cgi\">
Back to Repository Set list</a></p>\n";

&printLog($db,$f);

&printPoweredBy;
&printFooter;

