sub set_link_openform {
    my($hInput,$name,$cgi) = @_;
    $hInput->{$name . "_link"} = "<a href=\"javascript:openForm('$cgi',document.f1.$name)\">[view]</a>";
}

sub set_input_rad {
    my($hInput,$name_val,$hValue) = @_;

    my($name,$val) = split(/__/,$name_val);
    my $value = $hValue->{$name};
    my $sel = ($value eq $val) ? " CHECKED" : "";
    $val = esch($val);
    $hInput->{$name_val} = "<input type=\"radio\" name=\"$name\" value=\"$val\"$sel>";
}

sub set_input_hdv {
    my($hInput,$name,$hValue) = @_;
    my $value = esch($hValue->{$name});
    $hInput->{$name} = "$value<input type=\"hidden\" name=\"$name\" value=\"$value\">";
}

sub set_input_hid {
    my($hInput,$name,$hValue) = @_;
    my $value = esch($hValue->{$name});
    $hInput->{$name} = "<input type=\"hidden\" name=\"$name\" value=\"$value\">";
}

sub set_input_cbx {
    my($hInput,$name,$hValue) = @_;
    my $value = esch($hValue->{$name});
    my $sel = ($value == 1 || $value eq '1' || $value eq 'on') ? " CHECKED" : "";
    $hInput->{$name} = "<input type=\"checkbox\" name=\"$name\"$sel>";
}

sub set_input_txt {
    my($hInput,$name,$hValue,$opt) = @_;
    my($value);
    $value = esch($hValue->{$name});
    $hInput->{$name} = "<input type=\"text\" class=\"bg\" name=\"$name\" value=\"$value\"$opt>\n";
}

sub set_input_txa {
    my($hInput,$name,$hValue,$opt) = @_;
    my($value);
    $value = esch($hValue->{$name});
    $hInput->{$name} = "<textarea name=\"$name\"$opt>$value</textarea>\n";
}

sub set_input_sel {
    my($hInput,$name,$hValue,$type) = @_;
    my($value,$s,$info,$i);

    $value = $hValue->{$name};
    $info = $CPKI_CONST->{selector}->{$type};

    $s = "<select name=\"$name\">\n";
    for $i (0..$#{$info->{disp}}) {
	my $v = $info->{value}->[$i];
	my $d = $info->{disp}->[$i];
	my $sel = ($value eq $v) ? " SELECTED" : "";
	$s .= "<option value=\"$v\"$sel>$d\n";
    }
    $s .= "</select>\n";
    $hInput->{$name} = $s;
}

sub set_input_val {
    my($hInput,$name,$hValue) = @_;
    $hInput->{$name} = $hValue->{$name};
}

1;
