package JNSA::DB::PATH;

use JNSA::DB::UTIL;
use vars qw($VERSION);

$VERSION = '1.921';

require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(sqlPath);

sub sqlPath {
    my($h) = @_;
    my ($i,$s);

    $s = "";
    for $i (1..9) {
	if ($h->{"cert_id_$i"} ne "" || $h->{"crl_id_$i"} ne "") {
	    $s .= _sqlPathItem($h,$i);
	}
    }
    return $s;
}

sub _sqlPathItem {
    my($h,$idx) = @_;
    my $s;

    numNullH($h, ("id", "cert_id_$idx", "crl_id_$idx", "ocsp_id_$idx"));

    my $cert = $h->{"cert_id_$idx"};
    my $crl  = $h->{"crl_id_$idx"};
    my $ocsp = $h->{"ocsp_id_$idx"};
    
    $s = "
INSERT INTO certpath VALUES (
  $h->{id},$idx,$cert,$crl,$ocsp);";
    return $s;
}

1;
