package JNSA::HTML::UTIL;	# -*-Perl-*-

require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(esch tdesch printHtmlInputHiddenHashByArray 
	   strInfo strLocalTime strTimeRange);

#
# esch(s)
#
#	ʸsHTMLѤ˥פʸ֤
#
#

sub esch {
    $_ = $_[0];
    s/&/&amp;/g;
    s/</&lt;/g;
    s/>/&gt;/g;
    s/\"/&quot;/g;
    return $_;
}

#
# tdesch(s)
#
#	"<td>" . esch(s) . "</td>" ʤʸ֤
#
sub tdesch {return "<td>" . esch($_[0]) . "</td>";}

#
# printHtmlInputHiddenHashByArray
#
sub printHtmlInputHiddenHashByArray {
    my($h,$a) = @_;

    for (@{$a}) {
	my $n = esch($_);
	my $v = esch($h->{$_});
	print "<input type=\"hidden\" name=\"$n\" value=\"$v\">\n";
    }
}

#
# strInfo
#
#	Ƶ¤̵ϥåѿ info Ȥơ
#	Υͤ򥽡ȤʸɽץƥץȤ
#	ʸ֤
#
#	()
#	$a = { aaa => 1234, b => 234 };
#	strInfo($a)
#	
#	aaa|1234
#	b  |234
#
sub strInfo {
    my ($info) = @_;
    my $key,$len;
    my $s = "";

    $len = 0;

    my @keylist = keys(%{$info});
    return $s if ($#keylist == -1); 

    for $key (@keylist) {
	my $n = length($key);
	$len = ($n > $len) ? $n : $len;
    }

    $s .= "-------------------------------\n";
    for $key (sort keys(%{$info})) {
	$s .= sprintf("%-${len}s|%s\n",$key,$info->{$key});
    }
    $s .= "-------------------------------\n";
    return $s;
}

sub strLocalTime {
    return sprintf
	"%04d/%02d/%02d %02d:%02d:%02d",
	sub{$_[5]+1900,$_[4]+1,@_[3,2,1,0]}->(localtime($_[0]));
}

sub strTimeRange {
    my ($t) = @_;
    my ($h,$m,$s);
    $s = $t % 60;
    $t = int($t / 60);
    $m = $t % 60;
    $h = int($t / 60);
    return "$h:$m:$s";
}

1;
