/*
$Id: util.h,v 1.1 2004/04/21 12:52:30 urushima Exp $
*/
#ifndef UTIL_H_ROBOC__
#define UTIL_H_ROBOC__
#include <stdio.h>
#include <stdlib.h>

#define LINE_LENGTH 1000
#define null 0
#define true 1
#define false 0

typedef struct{
	char **certFiles;
	char **keyFiles;
	
	char *tsaKeyFile;
	char *tsaCertFile;
	char *outFile;
	char *queryFile;
	char *tstFile;
	char *confFile;
} BootOptions;

typedef struct{
	unsigned char *data;
	int length;
} CORE;

#define die(msg) {\
  fprintf(stderr, "%s : %s:%d\n", (msg), __FILE__, __LINE__);\
  exit(-2);\
}

int hex2int(char c);
int readLine(FILE *fp, char** buf);
char *readFile(char *filename, CORE *return_buffer);

#endif /* UTIL_H_ROBOC__ */

